Locations
    • Locations Specification
    • Schema
    • Find a location
      GET
    • Get auto suggest values
      GET
    • Lookup a postcode
      GET
    • Lookup a known location
      GET
    • Create a batch job
      POST
    • Gets the status of a batch job
      GET
    • Gets the parsed results for a job
      GET
    • Gets a location from lat, long.
      GET
    • Schemas
      • Schemas
        • Location
        • Point
        • Postcode
        • Job

      Lookup a known location

      GET
      /location/{location_hash}
      This endpoint will receive a location hash and return that location. It will be on the endpoint /location/{location_hash}

      Request

      Path Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://mock.apidog.com/m1/460771-0-default/location/'

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      Example
      {
          "hash": "19686d84-b10d-4f90-b18e-84fd3fa038fd",
          "name": "string",
          "display_name": "string",
          "address": {},
          "centroid": {
              "long": 0,
              "lat": 0
          },
          "bounding_box": [
              {
                  "long": 0,
                  "lat": 0
              }
          ],
          "type": "place",
          "meta": {
              "key": "string"
          }
      }
      🟠404Not Found
      Modified at 2024-02-12 13:17:59
      Previous
      Lookup a postcode
      Next
      Create a batch job
      Built with